## com.baidubce.services.bos.model
Class Grantee

    java.lang.Object
      com.baidubce.services.bos.model.Grantee

    public class Grantee

extends Object

Represents the grantee of an Baidu Bos bucket.

Constructor Summary
`Grantee()` Constructs a new grantee without specifying an ID.
`Grantee(String id)` Constructs a new grantee with the specified ID.

Method Summary
`boolean` `equals(Object obj)`
`String` `getId()` Gets the ID of the grantee.
`int` `hashCode()`
`void` `setId(String id)` Sets the ID of the grantee.
`String` `toString()`
`Grantee` `withId(String id)` Sets the ID of the grantee.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grantee

    public Grantee()

  Constructs a new grantee without specifying an ID.

### Grantee

    public Grantee(String id)

  Constructs a new grantee with the specified ID.

  Parameters:
    `id` - The ID for the user.

Method Detail

### getId

    public String getId()

  Gets the ID of the grantee.

  Returns:
    The ID of the grantee.

### setId

    public void setId(String id)

  Sets the ID of the grantee.

  Parameters:
    `id` - The ID of the grantee.

### withId

    public Grantee withId(String id)

  Sets the ID of the grantee.

  Parameters:
    `id` - The ID of the grantee.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.